image: registry.gitlab.com/kominal/docker/images/typescript-compile:production

services:
  - docker:dind

stages:
  - build

variables:
  ANGULAR_LIBRARY_BASE_DIRECTORY: '.'

Anglar Library:
  stage: build
  script:
    - npm config set @kominal:registry https://gitlab.com/api/v4/packages/npm/
    - npm config set '//gitlab.com/api/v4/projects/${CI_PROJECT_ID}/packages/npm/:_authToken' '${NPM_TOKEN}'
    - npm config set '//gitlab.com/api/v4/packages/npm/:_authToken' '${NPM_TOKEN}'
    - cd $ANGULAR_LIBRARY_BASE_DIRECTORY
    - npm install --ignore-scripts
    - ng build
    - cd dist
    - npm publish
  only:
    changes:
      - package.json
  tags:
    - docker
